# tests disabled many missing dependencies
%global enable_tests 0
%global srcname html-minifier

Name:           nodejs-%{srcname}
Version:        0.7.0
Release:        1%{?dist}
Summary:        HTML minifier with lint-like capabilities
License:        MIT
URL:            https://kangax.github.io/html-minifier/
Source0:        https://github.com/kangax/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source1:        %{name}.man.1.gz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(load-grunt-tasks)
BuildRequires:  npm(grunt-contrib-jshint)
BuildRequires:  npm(grunt-contrib-uglify)
BuildRequires:  npm(grunt-exec)
BuildRequires:  npm(grunt-jscs)
BuildRequires:  npm(grunt-contrib-qunit)
BuildRequires:  npm(grunt-contrib-concat)
BuildRequires:  npm(time-grunt)
%endif

%description
HTMLMinifier is a highly configurable, well-tested, Javascript-based HTML 
minifier, with lint-like capabilities.


%prep
%setup -q -n %{srcname}-%{version}
rm -rf node_modules/
%nodejs_fixdep cli '~0.5'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json cli.js dist/ %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/cli.js %{buildroot}%{_bindir}/%{srcname}

mkdir -p %{buildroot}%{_mandir}/man1
cp -pr %{SOURCE1} %{buildroot}%{_mandir}/man1/html-minifier.1.gz

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc README.md sample-cli-config-file.conf
%license LICENSE
%{nodejs_sitelib}/%{srcname}
%{_bindir}/%{srcname}
%{_mandir}/man1/%{srcname}.1.gz


%changelog
* Tue Feb 10 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.7.0-1
- update to 0.7.0

* Tue Dec 16 2014 Piotr Popieluch <piotr1212@gmail.com> - 0.6.9-1
- Initial package
